package com.meeting.demo.encryptdemo;

public class HwmEncryptionDemo {
    static {
        System.loadLibrary("hwm_encryption_demo");
    }
    private static HwmEncryptionDemo encryptionDemoIns = new HwmEncryptionDemo();

    private HwmEncryptionDemo() {
    }

    public static HwmEncryptionDemo getInstance() {
        return encryptionDemoIns;
    }

    public int setEncryption() {
        return this.enableE2EEEncryption();
    }

    private native int enableE2EEEncryption();

}
